%define module_name	v4l
%define module_version	2005.01.25
%define module_release	alt1

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.6

Summary: Video4Linux hardware drivers
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

BuildRequires: kernel-source-v4l-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: kernel-modules-%module_name

%package -n kernel-headers-v4l-%flavour
Summary: Video4Linux driver headers
Group: Development/Kernel
PreReq: kernel-headers-%flavour = %kversion-%krelease
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease

Provides: kernel-headers-v4l-%kversion-%flavour-%krelease = %version-%release

%description
This package contains Video4Linux driver for various video input devices.

%description -n kernel-headers-v4l-%flavour
This package contains Video4Linux driver headers needed for compiling kernel
modules which interface with these drivers.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot/%module_dir
%makeinstall MODULE_INSTALL_DIR=%buildroot/%module_dir \
	KERNEL_INSTALL_DIR=%buildroot%_prefix/src/linux-%kversion-%flavour \
	DOC_DIR=%buildroot%_docdir/%name-%version-%release
echo "%name = %version-%release" \
	> %buildroot%_prefix/src/linux-%kversion-%flavour/kernel-modules-%module_name.release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
/lib/modules/%kversion-%flavour-%krelease
%doc %_docdir/%name-%version-%release

%files -n kernel-headers-v4l-%flavour
%defattr(644,root,root,755)
%_prefix/src/linux-%kversion-%flavour


%changelog
* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.25-alt1.6
- Updated drivers:
  + ov511   2.28
  + w9968cf 1.35

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt4.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt3.6
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt2.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Mon Jun 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt1.6
- Updated bttv, saa7134, cx88 drivers to video4linux snapshot 20040609-095118.
  Apparently the MT2050 tuner problems are fixed in this version.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt2.6
- Rebuild for kernel 2.4.26.

* Sun Apr 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt1.6
- Updated drivers:
  + bttv    0.9.15
  + saa7134 0.2.12
  + cx88    0.0.4
- Updated bttv, saa7134, cx88 to snapshot 20040424.
- Updated bttv-lists patch from the recent video4linux snapshot.
- Updated saa7134-manli patch.
- Removed saa7134-list-fix patch (fixed upstream).

* Sun Apr 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt1.6
- Combined all kernel-source-v4l-* packages into a single one.
- Updated drivers:
  + bttv    0.9.13
  + saa7134 0.2.10
  + ov511   2.27
- Added drivers:
  + cx88    0.0.2
  + w9968cf 1.27

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt2.6
- Fixed kernel-headers-v4l-* subpackage name.
- Fixed spec file name.
- Fixed %%module_name, %%module_dir definitions.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt1.6
- Updated ov511 to 2.26.

* Thu Oct 30 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt3.6
- Renumbered patches.
- Added saa7134-0.2.8-doc-fix.patch - bring CARDLIST in sync with actual driver
  code.
- Added saa7134-0.2.8-manli.patch - support for Manli MuchTV Plus.

* Tue Oct 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt2.6
- Added version-release stamp file to headers subpackage.

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt1.6
- Initial release.
